#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
This work is licensed under the Creative Commons Attribution-NonCommercial 4.0 International License.
 To view a copy of this license, visit http://creativecommons.org/licenses/by-nc/4.0/.
"""

from Tkinter import *


class Application(Frame):
	grammer = {
	               
	               "So and Neither" : "So and neither responses can be very difficult. Let's just focus on what we say if we agree with someone.\n If someone says something negative and we agree with them we can use neither. \n If someone says something positive and we agree with them we can use so. \n Example : \n 1 - I don't like mushrooms. Neither do I \n 2- I enjoyed the concert. So did I " ,
	               "passive" : "We use this tense to talk about something that happens without telling who done it.\nthis tense had many types.\n |tense| active------->passive \n |present simple| I make a cake.---> A cake is made (by me). \n |present continuous| I am making a cake.----->A cake is being made (by me). \n |past simple| I made a cake.----->A cake was made (by me). \n |past continuous| I was making a cake.--->A cake was being made (by me).\n |present perfect| I have made a cake.--->A cake has been made (by me). \n |pres. perf. continuous| I have been making a cake.--->A cake has been being made (by me). \n |past perfect| I had made a cake.--->A cake had been made (by me). \n |future simple| I will make a cake.--->A cake will be made (by me). \n |future perfect| I will have made a cake.--->A cake will have been made (by me). \n ", 
                   "future perfect progressive" : "These are actions or events in a time between now and some future time, that may be unfinished.\nExamples:\n• I will not have been working.\n• We will have been working out for 2 hours at 6 o'clock.\nFormula: subject + will have + been + present participle (base form -ing)\nKey Time Expressions: by, after",	
                   "present perfect progressive" : "We use the present perfect progressive to talk about an action that started in the past and stopped recently. We can also talk about an action that started in the past and is continuing now.\nExamples:\n• She has been dancing.\n• They have been waiting for you all day.\nFormula: subject + have/has + been + -ing + complement\nKey Time Expressions: since",
                   "past perfect progressive" : "We use the past perfect progressive when you want to focus on an action which was in progress up to or near a time in the past, rather than a completed event.\nExamples:\n• I hadn't been sleeping long when you called.\n• It had been raining hard for several hours and the streets were very wet.\nFormula: subject + past perfect of ((to be)) (had been) + past participle of the verb + complement\nKey Time Expressions: since",
                   "future perfect" : "The future perfect refers to a completed action in the future. We can also use this tense when we project ourselves into the future and when we are looking back at the completed action at a time later than now.\nExamples:\n• You will have arrived by then.\n• Will you have finished your report on time?\nFormula: subject + will have + past participle of verb\nKey Time Expressions: by",
                   "present perfect" : "When we talk in the present perfect we're talking about past actions that are relevant today or actions that happened in the past but when they occurred is not important. It also can refer to the recent past.\nExamples:\n• They have not lived there for years.\n• Have you just finished work?\nFormula: subject + have/has + past participle of verb + complement\nKey Time Expressions: since, before, until, yet, already, ever, never, just",
                   "past perfect" : "The past perfect refers to a time earlier than before now. It is used to make it clear that one event happened before another in the past.\nExamples:\n• He wasn't very tired because he had slept well the night before.\n• Robert had gone out when I arrived at the office.\nFormula: subject + had + past participle of the verb + complement\nKey Time Expressions: before, until, after, just, went",
                   "future progressive" : "We use this to talk about something which will be in progress at a time in the future.\nExamples:\n• I will be leaving soon.\n• Will you be coming to the party?\nFormula: subject + will be + present participle (base verb + -ing)\nKey Time Expressions: next, tomorrow, soon, in, later",
                   "present progressive" : "We use the present progressive when we're talking about an action taking place at the moment of speaking.\nExamples:\n• We are going on vacation tomorrow.\n• The weather forecast was not good, but the sun is shining now.\nFormula: subject + to be + -ing form of the verb\nKey Time Expressions: now, presently, currently, these days, always, forever, constantly",	
                   "past progressive" : "We use this tense to talk about something that was in progress at a specific time in the past.\nExamples:\n• I was having a horrible nightmare when my alarm clock rang.\n• I was crying!\nFormula: subject + was/were + -ing form of the verb + complement\nKey Time Expressions: while, when, as",
                   "simple future" : "We are discussing future plans or future intentions when we use the simple future. We use (will) when discussing future plans and (going to) when we talk about intentions.\nExamples:\n• I will go.\n• Do you think it will rain today?\nFormula: subject + will/shall + verb\nKey Time Expressions: next, tomorrow, in, after",
                   "simple present" : "We use the simple present to describe facts, habits, and recurring actions or situations.\nExamples:\n• I work in Rome.\n• Your examination doesn't start at 8am, it starts at 7am.\nFormula: subject + verb\nKey Time Expressions: every, usually, sometimes, often, frequently, never, now, always, after, when, as soon as, until",
                   "simple past" : "We use the simple past when we talk about a completed action or condition.\nExamples:\n• I was in Spain last week.\n• She played the piano when she was a child.\nFormula: subject + verb in the past tense + complement\nKey Time Expressions: last, ago, yesterday, often, sometimes, always",
                   "if type 3" : "((If type 3))\nIs used to talk about a situation that was not so in the past\nIt's method : If ((Past Perfect Tense)),((would have + P.P)).",
                   "if type 2" : "((If type 2))\nIs used to talk about unreal (impossible) or improbable situation\nIt's method:If ((Past Tense)),((would + inf)).",
                   "if type 1" : "((If type 1))\nIs used to talk about open condition, what is said in the condition is possible\nIt's method:If ((Present Tense)),((will + inf / present tense / imperative))",
                   "since&for" : "The words for and since are used in sentences where the speaker wants to talk about something that started in the past and continues into the present.\n\nFor is used when specifying the amount of time (how long)\nEX:I've had this watch for more than 40 years.\n\nSince is used when specifying the starting point\nEX:I've had this watch since 1965.\n\nNote: The present perfect or present perfect continuous are needed in such sentences.",
                   "if type 0" : "((If type 0))\nIs used to talk about facts and things that controled with nature power.\nIt's method:If ((present simple)),((present simple)).",
                   "info" : "Abdelrahman Bonna\nPython Programmer\nE-mails:\nabdobonna@yahoo.com\nabdobonna@hotmail.com\nabdobonna@gmail.com\nMy whatsapp:(+2)01113128393",
                   
		   }
	
	def __init__(self, master):
		# initialize the frame
		Frame.__init__(self,master)
		self.create_widgets()
		self.grid()
		
	def create_widgets(self):
		# creat button , text and entry widgets
		# the sign
		self.instruction = Label(self, text = "Type the grammer name:")
		self.instruction.grid(row = 0 , column =0 , columnspan =2 ,sticky = W)
		
		self.maker = Label(self , text = "            Made by Abdelrahman Bonna for help read the txt file\n            Under CC license\n            visit http://creativecommons.org/licenses/by-nc/4.0/")
		self.maker.grid(row=4 , column =0 , columnspan = 2, sticky = W)
		# the grammer name word entry field
		self.password = Entry(self)
		self.password.grid(row = 1 , column = 0, sticky =E )	
		# the button that do the job when clicked
		self.submit_button = Button(self , text = "Enter", command= self.reveal)
		self.submit_button.grid( row = 1 , column =0 , sticky = W)
		# the text box that shows the message
		self.text = Text(self, width = 80 , height = 20, wrap = WORD)
		self.text.grid(row = 3 , column = 0 , sticky = W )
		
	def reveal(self):

		content = self.password.get()
		
		if content in self.grammer :
			message = self.grammer[content]
		else :
			message = "Enter something I know\n"
			
		self.text.delete(0.0,END)	
		self.text.insert(0.0,message)


root = Tk()
root.title("ENGram")
root.geometry("570x420")
app = Application(root)

root.mainloop()					
		
